<?php

namespace Ulmus\Api\Attribute\Obj\Api;

use Ulmus\Api\Common\MethodEnum;

#[\Attribute(\Attribute::TARGET_CLASS)]
class Delete extends ApiAction {
    public function __construct(
        public string $url,
        public MethodEnum $method = MethodEnum::Delete,
        public int $timeout = 30,
    ) {}
}